$schema: https://git.drupalcode.org/project/drupal/-/raw/HEAD/core/assets/schemas/v1/metadata.schema.json
name: Card
description: A responsive card component based on DaisyUI
props:
  type: object
  properties:
    title:
      title: Card title
      type: string
    title_heading_level:
      title: Title heading level
      type: string
      enum:
        - h1
        - h2
        - h3
        - h4
        - h5
        - h6
    size:
      title: Card size
      type: string
      enum:
        - xs
        - sm
        - md
        - lg
        - xl
    border:
      title: Card border
      type: string
      enum:
        - none
        - border
        - dash
    variant:
      title: Card variant
      type: string
      enum:
        - default
        - image-full
        - card-side
    body_extra_classes:
      title: Body extra classes
      type: array
      items:
        type: string
    actions_extra_classes:
      title: Actions extra classes
      type: array
      items:
        type: string
slots:
  image:
    title: Card Image
    description: The image to display at the top of the card
  content:
    title: Card Content
    description: The main content for the card body
  actions:
    title: Card Actions
    description: The action buttons/links displayed at the bottom of the card
